/* You can add global styles to this file, and also import other style files */

@import "~@angular/material/prebuilt-themes/indigo-pink.css";
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
@import '~ngx-toastr/toastr-bs4-alert';

// Shades of green
// $app-gradient: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);
// $app-gradient-faded: linear-gradient(120deg, rgba(132, 250, 176, 0.4) 0%, rgba(143, 211, 244, 0.4) 100%);
// $main-color: #86F1BF;
// $main-color-faded: rgba(134, 241, 191, 0.4);

// Shades of purple
// $app-gradient: linear-gradient(120deg, #e0c3fc 0%, #8ec5fc 100%);
// $app-gradient-faded: linear-gradient(120deg, rgba(224, 195, 252, 0.4) 0%, rgba(142, 197, 252, 0.4) 100%);
// $main-color: #B8C4FC;
// $main-color-faded: rgba(184, 196, 252, 0.4);

// Shades of blue
// $app-gradient: linear-gradient(120deg, #89f7fe 0%, #66a6ff 100%);
// $app-gradient-faded: linear-gradient(120deg, rgba(137, 247, 254, 0.4) 0%, rgba(102, 166, 255, 0.4) 100%);
// $main-color: #66a6ff;
// $main-color-faded: rgba(102, 166, 255, 0.4);


$mat-color-main: #FF4081;

// Shades of light blue
$app-gradient: linear-gradient(to top, #accbee 0%, #e7f0fd 100%);;
$app-gradient-faded: linear-gradient(120deg, rgba(172, 203, 238, 0.4) 0%, rgba(231, 240, 253, 0.4) 100%);
$main-color: #accbee;
$main-color-faded: rgba(172, 203, 238, 0.4);

* { margin:0; padding:0; box-sizing:border-box;}

body {
  font-family: 'Poppins', sans-serif;
  color: rgba(70, 70, 70, 1);
}

// Updating angular material styling
::ng-deep .mat-form-field.mat-focused {
  .mat-form-field {
    color: $mat-color-main;
  }
  .mat-form-field-label {
    color: $mat-color-main;
  }
  .mat-form-field-ripple {
    background-color: $mat-color-main;
  }
  .mat-form-field-required-marker {
    color: $mat-color-main;
  }
  .mat-input-element {
    color: $mat-color-main;
  }
}
::ng-deep .mat-form-field-appearance-legacy .mat-form-field-label  {
  color: #AAAEAD;
}
.mat-form-field-appearance-legacy .mat-hint {
  color: #AAAEAD;
}
.mat-form-field-appearance-legacy .mat-form-field-underline {
  background-color: #AAAEAD;
}

.main-background {
  background-image: $app-gradient;
  height: 100vh;
  width: auto;
}

.full-width-container {
  width: 100%;
}

.full-space-container {
  width: 100%;
  height: 100%;
}

.hr-faded {
  border: 0;
  height: 1px;
  width: 100%;
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
  opacity: 0.1
}

